# $NetBSD: contao.conf,v 1.1 2024/02/04 08:41:26 taca Exp $

#
# If you want to use contao for whole web site, set your DocumentRoot to
# "/usr/pkg/share/php82/contao/public".  (https://www.example.org/)
#
# If you want to use contao on sub directory, uncomment below line.
# (https://www.example.org/subdir/)
# 
#Alias	/subdir		/usr/pkg/share/php82/contao

<Directory /usr/pkg/share/php82/contao>
	DirectoryIndex	index.php index.html
        Options		Indexes SymLinksIfOwnerMatch FollowSymLinks
        AllowOverride	All
	<FilesMatch \.php$>
<IfModule proxy_fcgi_module>
		SetHandler "proxy:unix:/var/run/php-fpm|fcgi://localhost"
</IfModule>
<IfModule php_module>
		SetHandler application/x-httpd-php
</IfModule>
	</FilesMatch>
<IfModule !mod_authz_core>
        Order		allow,deny
        Allow		from all
</IfModule>
<IfModule mod_authz_core>
	Require		all granted
</IfModule>
</Directory>

<Virtualhost _default_:80>
	ServerName	www.example.org
	DocumentRoot	/usr/pkg/share/php82/contao/public
	ServerAdmin	webmaster@www.example.org
</Virtualhost>

<Virtualhost _default_:443>
	ServerName	www.example.org
	DocumentRoot	/usr/pkg/share/php82/contao/public
</Virtualhost>
